xcb_shm_attach(3)

NAME
xcb_shm_attach -

SYNOPSIS
#include <xcb/shm.h>

  Request function

xcb_void_cookie_t xcb_shm_attach(xcb_connection_t *conn, xcb_shm_seg_t shmseg, uint32_t shmid, uint8_t read_only);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

shmseg
    TODO: NOT YET DOCUMENTED.

shmid
    TODO: NOT YET DOCUMENTED.

read_only
    TODO: NOT YET DOCUMENTED.

DESCRIPTION

RETURN VALUE
Returns an xcb_void_cookie_t. Errors (if any) have to be handled in the event loop. If you want to handle errors directly with xcb_request_check instead, use xcb_shm_attach_checked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO

AUTHOR
Generated from shm.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.